﻿using Microsoft.EntityFrameworkCore;
using Portfolio.Domain.Features.Articles;
using Portfolio.Domain.Features.Pokemon;
using Portfolio.Domain.Features.Pokemon_Natures;
using Portfolio.Domain.Features.Pokemon_Subskills;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Portfolio.Infrastructure
{
    public class ApplicationDbContext : DbContext
    {
        public ApplicationDbContext(DbContextOptions options) :base(options)
        {
            
        }
        public DbSet<Pokemon> Pokemons { get; set; }
        public DbSet<PokemonNatures> PokemonNatures { get; set; }
        public DbSet<PokemonSubskills> PokemonSubskills { get; set; }

    }
}
